<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('water_disconnect_supplies', function (Blueprint $table) {
            // Add the new column after 'no_of_existing_con'
            $table->integer('Water_Connection_Size_Count')->nullable()->after('no_of_existing_con');
        });
    }

    public function down(): void
    {
        Schema::table('water_disconnect_supplies', function (Blueprint $table) {
            $table->dropColumn('Water_Connection_Size_Count');
        });
    }
};
